#include "xcbrush.h"

XCBrush::XCBrush()
    : XAsset()
    , mMins()
    , mContents(0)
    , mMaxs()
    , mNumsides()
    , mSidesPtr()
    , mSides()
    , mAxialMaterialNum()
    , mBaseAdjacentSidePtr()
    , mBaseAdjacentSide()
    , mFirstAdjacentSideOffsets()
    , mEdgeCount()
{
    
}

XCBrush::~XCBrush()
{
    
}

void XCBrush::ParseData(QDataStream *aStream)
{
    
}

void XCBrush::Clear()
{
    mMins = QVector3D();
    mContents = 0;
    mMaxs = QVector3D();
    mNumsides = 0;
    mSidesPtr = 0;
    mSides = QVector<XCBrushSide>();
    mAxialMaterialNum = QVector<QVector3D>();
    mBaseAdjacentSidePtr = 0;
    mBaseAdjacentSide = 0;
    mFirstAdjacentSideOffsets = QVector<QVector3D>();
    mEdgeCount = QVector<QVector3D>();
}
